STRTRIM(3pub)

NAME
strtrim - remove leading and trailing whitespace

SYNOPSIS
#include <publib.h>
char *strtrim(char *s);

DESCRIPTION
strtrim removes all whitespace characters from the beginning and the end of a string. As whitespace is counted everything for which isspace(3) returns true.

RETURN VALUE
strtrim returns its argument.

EXAMPLE
To remove whitespace from the beginning and end of all lines, you might do the following:

#include <publib.h>

int main(void) {
	char line[512];

	while (fgets(line, sizeof(line), stdio) != NULL) {
		strtrim(line);
		printf("%s", line);
	}
	return 0;
}

SEE ALSO
publib(3), strrtrim(3), strltrim(3), isspace(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)